CREATE TABLE cso_notification (
    DATE_ADDED       TIMESTAMP(6)      NOT NULL,
    DATE_MODIFIED    TIMESTAMP(6)  ,
    FROM_EMAIL       VARCHAR2(1020)    NOT NULL,
    HTML             VARCHAR2(4000),
    LOCALE_ID        VARCHAR2(128)     NOT NULL,
    OWNER_SITE_ID    VARCHAR2(128)     NOT NULL,
    RECORD_ID        VARCHAR2(128) ,
    SUBJECT          VARCHAR2(1020),
    TASK_TYPE        NUMBER            NOT NULL,
    TEXT             VARCHAR2(4000),
    TO_EMAIL         VARCHAR2(2000)    NOT NULL,
    DATE_ADDED       TIMESTAMP(6)      NOT NULL,
    DATE_MODIFIED    TIMESTAMP(6)  ,
    FROM_EMAIL       VARCHAR2(1020)    NOT NULL,
    HTML             VARCHAR2(4000),
    LOCALE_ID        VARCHAR2(128)     NOT NULL,
    OWNER_SITE_ID    VARCHAR2(128)     NOT NULL,
    RECORD_ID        VARCHAR2(128) ,
    SUBJECT          VARCHAR2(1020),
    TASK_TYPE        NUMBER            NOT NULL,
    TEXT             VARCHAR2(4000),
    TO_EMAIL         VARCHAR2(2000)    NOT NULL,
    CONSTRAINT pk_cso_notification PRIMARY KEY (RECORD_ID, RECORD_ID)
);
